'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _rollupPluginBabelHelpers = require('../../_virtual/_rollupPluginBabelHelpers.js');
var React = require('react');
var utils = require('../../shared/utils.js');
var BaseLink = require('../shared/BaseLink.js');
var getLocale = require('../../server/react-server/getLocale.js');

function _interopDefault (e) { return e && e.__esModule ? e : { default: e }; }

var React__default = /*#__PURE__*/_interopDefault(React);

async function ServerLink(_ref) {
  let {
    locale,
    localePrefix,
    ...rest
  } = _ref;
  const finalLocale = locale || (await getLocale.default());
  const prefix = utils.getLocalePrefix(finalLocale, localePrefix);
  return /*#__PURE__*/React__default.default.createElement(BaseLink.default, _rollupPluginBabelHelpers.extends({
    locale: finalLocale,
    localePrefixMode: localePrefix.mode,
    prefix: prefix
  }, rest));
}

exports.default = ServerLink;
